Subject: git svn fetch stops at revision 1485500

From: Stephan Classen <[email-masked]>
Date: Sun, 03 Nov 2013 11:19:23 +0100

I hope this is the right place to post this.

When trying to fetch a very large svn using git svn it always terminates 
at commit 1485500.
this is easily reproducible:

git svn init -s https://svn.apache.org/repos/asf/onami/trunk
git svn fetch -r 1480000:HEAD

The commit 1485500 is not in the subtree of the svn I'm trying to fetch 
but in some unrelated place. So I think it is not the commit which 
causes the problem but an overflow of some kind.

The command terminates without an error but after the command has 
terminated nothing shows up in my local git repo.
There are no commits and no branches. I expected at least trunk to be 
available.

Thank you for your help
Stephan